Rule Instance - Update

Update Rule Instance

Created rule instances can be idempotently updated with the POST /rule-instances/{ruleInstanceId}.

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Path parameters

ruleInstanceIdstringRequired

Request

This endpoint expects an object.
ruleIdstringOptional
alertCreationOnHitbooleanOptional
filtersobjectOptional

Rule filters. A key-value json object corresponding to the json schema returned by /rule-filters-schema endpoint.

parametersobjectOptional
ruleNameAliasstringOptional
riskLevelParametersobjectOptional
actionenumOptional
Model for rule action if a rule is hit. This is returned in the API response and can be configured on Console by operational accounts like a Compliance Analyst
Allowed values:
riskLevelActionsobjectOptional
triggersOnHitobjectOptional
riskLevelsTriggersOnHitobjectOptional
statusenumOptional
Allowed values:
casePriorityenumOptional
Allowed values:

Response

OK
idstring
typeenum
ruleIdstring
checksForlist of strings
runCountdouble
hitCountinteger
createdAtdouble
updatedAtdouble
alertCreationOnHitboolean
filtersobject

Rule filters. A key-value json object corresponding to the json schema returned by /rule-filters-schema endpoint.

parametersobject
ruleNameAliasstring
riskLevelParametersobject
actionenum
Model for rule action if a rule is hit. This is returned in the API response and can be configured on Console by operational accounts like a Compliance Analyst
Allowed values:
riskLevelActionsobject
triggersOnHitobject
riskLevelsTriggersOnHitobject
statusenum
Allowed values:
casePriorityenum
Allowed values:

Errors

400
Bad Request Error
404
Not Found Error